Debian Bug report logs - #636568
xerces-c: Fix FTBFS on hurd-i386

version graph

Package: xerces-c; Maintainer for xerces-c is Jay Berkenbilt <qjb@debian.org>;

Reported by: svante.signell@gmail.com

Date: Thu, 4 Aug 2011 08:09:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version 3.1.1-1

Fixed in version xerces-c/3.1.1-5

Done: Jay Berkenbilt <qjb@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://issues.apache.org/jira/browse/XERCESC-1998

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Thu, 04 Aug 2011 08:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
New Bug report received and forwarded. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Thu, 04 Aug 2011 08:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xerces-c: Fix FTBFS on hurd-i386
Date: Thu, 04 Aug 2011 10:07:23 +0200
[Message part 1 (text/plain, inline)]
Package: xerces-c
Version: 3.3.1-1
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

currently xerces-c does not compile on hurd-i386. The problem is a
PATH_MAX definition which is not supported on GNU/Hurd.

One of blahtexml build dependencies is xerces-c. blahtexml is on the
list of GNU/Hurd packages lagging behind other architectures:
http://ftp-master.debian.org/users/twerner/pre-squeeze.txt

The attached patch fixes the build. 

Thanks,
Svante

[fix_ftbfs4hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Thu, 04 Aug 2011 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Thu, 04 Aug 2011 11:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 636568@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Svante Signell <svante.signell@telia.com>
Cc: debian-hurd <debian-hurd@lists.debian.org>, 636568@bugs.debian.org
Subject: Re: Comments on xerces-c patch please
Date: Thu, 4 Aug 2011 13:39:15 +0200
Hi!

On Thu, 2011-08-04 at 00:14:05 +0200, Svante Signell wrote:
> One of the blahtexml build dependencies is xerces-c which is not
> available for the Hurd. The attached patch fixes the build. Can somebody
> check it the patch is OK before I submit a bug report? 

Well, you didn't give much time for feedback. Anyway here it goes:

> --- xerces-c-3.1.1/src/xercesc/util/FileManagers/PosixFileMgr.cpp.orig	2008-07-04 09:23:56.000000000 +0000
> +++ xerces-c-3.1.1/src/xercesc/util/FileManagers/PosixFileMgr.cpp	2011-08-03 21:58:23.000000000 +0000
> @@ -187,6 +187,17 @@
>      ArrayJanitor<char> janText(newSrc, manager);
>  
>      // Use a local buffer that is big enough for the largest legal path
> +#ifdef __GNU__
> +    char *absPath;
> +    XMLCh *ret;
> +    // get the absolute path
> +    absPath=realpath(newSrc, NULL);
> +    if (absPath == NULL)
> +   		ThrowXMLwithMemMgr(XMLPlatformUtilsException, XMLExcepts::File_CouldNotGetBasePathName, manager);
> +    ret = XMLString::transcode(absPath, manager);
> +    free (absPath);
> +    return ret; 
> +#else

Follow the existing coding style: add a blank line between the
variable definintions and the actual code block, add missing spaces
around =, remove trailing space after “return ret; ”.

Also given that realpath(path, NULL) is in POSIX.1-2008 and has been
supported for a long time on GNU/* and FreeBSD systems I'd change the
__GNU__ check to a configure check for the realpath functionality.

>      char absPath[PATH_MAX + 1];
>      
>      // get the absolute path
> @@ -194,20 +205,34 @@
>     		ThrowXMLwithMemMgr(XMLPlatformUtilsException, XMLExcepts::File_CouldNotGetBasePathName, manager);
>  
>      return XMLString::transcode(absPath, manager);
> +#endif
>  }
>  
>  
>  XMLCh*
>  PosixFileMgr::getCurrentDirectory(MemoryManager* const manager)
>  {
> +#ifdef __GNU__
> +    char *dirBuf=NULL;
> +    XMLCh *ret;
> +    size_t dummy = 0;
> +    char *curDir = getcwd(dirBuf, dummy);
> +    if (curDir == NULL)
> +        ThrowXMLwithMemMgr(XMLPlatformUtilsException,
> +                 XMLExcepts::File_CouldNotGetBasePathName, manager);
> +
> +    ret = XMLString::transcode(curDir, manager);
> +    free (curDir);
> +    return ret;
> +#else

There's no need for the dummy or dirBuf variables. The same style
comments as the above. And getcwd(NULL, 0) has also been supported on
FreeBSD and GNU/* for a long time, it would be better to check for its
availabilty at configure time and use that whenever possible.

>      char dirBuf[PATH_MAX + 2];
>      char *curDir = getcwd(&dirBuf[0], PATH_MAX + 1);
> -

Do not change unrelated spaces and blank lines for other code blocks.

>      if (!curDir)
>          ThrowXMLwithMemMgr(XMLPlatformUtilsException,
>                   XMLExcepts::File_CouldNotGetBasePathName, manager);
>  
>      return XMLString::transcode(curDir, manager);
> +#endif
>  }

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Fri, 05 Aug 2011 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Fri, 05 Aug 2011 14:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 636568@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 636568@bugs.debian.org
Cc: control@bugs.debian.org
Subject: xercres-c: Correcting package version
Date: Fri, 05 Aug 2011 16:07:53 +0200
reassign 636568 xerces-c 3.1.1-1
thanks

This bug report should be assigned to version 3.1.1-1 not 3.3.1-1 which
does not exist.





Bug Marked as found in versions 3.1.1-1; no longer marked as found in versions 3.3.1-1. Request was from Svante Signell <svante.signell@telia.com> to control@bugs.debian.org. (Fri, 05 Aug 2011 14:09:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://issues.apache.org/jira/browse/XERCESC-1998'. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Thu, 11 Oct 2012 14:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Thu, 11 Oct 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Thu, 11 Oct 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 636568@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 636568@bugs.debian.org
Subject: xerces-c: Updated patch, submitted upstream
Date: Thu, 11 Oct 2012 17:46:33 +0200
[Message part 1 (text/plain, inline)]
Hello,

Attached is an updated patch for xerces-c-3.1.1-3. It has also been
reported upstream for the 3.1.1 release: 
https://issues.apache.org/jira/browse/XERCESC-1998

The functions realpath and getcwd  are already checked for in
configure.ac/configure

Thanks! 
[use_posix_fcns.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Sun, 14 Oct 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Sun, 14 Oct 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 636568@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Svante Signell <svante.signell@telia.com>, 636568@bugs.debian.org, debian-hurd@lists.debian.org
Subject: Re: Bug#636568: xerces-c: Updated patch, submitted upstream
Date: Mon, 15 Oct 2012 00:00:46 +0200
Svante Signell, le Thu 11 Oct 2012 17:46:33 +0200, a écrit :
> The functions realpath and getcwd  are already checked for in
> configure.ac/configure

But not whether they support being passed NULL, which is what Guillem
was referring to in "And getcwd(NULL, 0) has also been supported on
FreeBSD and GNU/* for a long time, it would be better to check for its
availabilty at configure time and use that whenever possible."  Assuming
that the support is available whenever the function is, is probably not
going to be accepted by upstream. You need to add a real execution test
in configure.ac

Samuel



Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 02 May 2013 19:45:16 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'svante.signell@gmail.com' from 'svante.signell@telia.com' Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Sat, 11 May 2013 21:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jay Berkenbilt <qjb@debian.org>:
Bug#636568; Package xerces-c. (Wed, 17 Jul 2013 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Jay Berkenbilt <qjb@debian.org>. (Wed, 17 Jul 2013 12:39:04 GMT) Full text and rfc822 format available.

Message #38 received at 636568@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 636568@bugs.debian.org
Subject: fix available upstream for hurd build failure
Date: Wed, 17 Jul 2013 14:37:46 +0200


I noticed upstream appears to have a fix for the issue in SVN:

http://svn.apache.org/viewvc?view=revision&revision=1478186

Is it likely that this will be incorporated in the package or it will
wait for another upstream release?





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#636568; Package xerces-c. (Wed, 08 Jan 2014 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. (Wed, 08 Jan 2014 21:09:04 GMT) Full text and rfc822 format available.

Message #43 received at 636568@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: 636568-submitter@bugs.debian.org
Cc: 636568@bugs.debian.org
Subject: uploading xerces-c with PATH_MAX patch
Date: Wed, 08 Jan 2014 15:57:21 -0500
Sorry, this fell off my radar for six months.  I was reviewing open bugs
on my packages and realized this one was trivial, so I uploaded a fix.

-- 
Jay Berkenbilt <qjb@debian.org>



Message sent on to svante.signell@gmail.com:
Bug#636568. (Wed, 08 Jan 2014 21:09:12 GMT) Full text and rfc822 format available.

Reply sent to Jay Berkenbilt <qjb@debian.org>:
You have taken responsibility. (Wed, 08 Jan 2014 21:27:04 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@gmail.com:
Bug acknowledged by developer. (Wed, 08 Jan 2014 21:27:04 GMT) Full text and rfc822 format available.

Message #51 received at 636568-close@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: 636568-close@bugs.debian.org
Subject: Bug#636568: fixed in xerces-c 3.1.1-5
Date: Wed, 08 Jan 2014 21:22:19 +0000
Source: xerces-c
Source-Version: 3.1.1-5

We believe that the bug you reported is fixed in the latest version of
xerces-c, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636568@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jay Berkenbilt <qjb@debian.org> (supplier of updated xerces-c package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Jan 2014 15:48:01 -0500
Source: xerces-c
Binary: libxerces-c3.1 libxerces-c-dev libxerces-c-doc libxerces-c-samples
Architecture: source all amd64
Version: 3.1.1-5
Distribution: unstable
Urgency: medium
Maintainer: Jay Berkenbilt <qjb@debian.org>
Changed-By: Jay Berkenbilt <qjb@debian.org>
Description: 
 libxerces-c-dev - validating XML parser library for C++ (development files)
 libxerces-c-doc - validating XML parser library for C++ (documentation)
 libxerces-c-samples - validating XML parser library for C++ (compiled samples)
 libxerces-c3.1 - validating XML parser library for C++
Closes: 636568
Changes: 
 xerces-c (3.1.1-5) unstable; urgency=medium
 .
   * Apply upstream patch for PATH_MAX to enable compilation on GNU hurd.
     (Closes: #636568)
Checksums-Sha1: 
 47d475b5bbc597bf31e75453b2f213907f453717 1912 xerces-c_3.1.1-5.dsc
 29e94dc4246747757df58b1fed73bd222e278c7c 6617 xerces-c_3.1.1-5.debian.tar.gz
 bb5115c3039b0b1321482e4c8e8980901b3a71ea 1288282 libxerces-c-doc_3.1.1-5_all.deb
 523864adfc029a104ff6a496341f5708a57e0d94 816970 libxerces-c3.1_3.1.1-5_amd64.deb
 bfa49ca01c92839c8c5ad8358bace2eae6e34198 1622402 libxerces-c-dev_3.1.1-5_amd64.deb
 bc8915d86b76319439c0dd7417cd9d84bb1bd961 126022 libxerces-c-samples_3.1.1-5_amd64.deb
Checksums-Sha256: 
 af3779cc90ec70c1f10efd528d21fc6f322414c675ed456fbd2f52b656102645 1912 xerces-c_3.1.1-5.dsc
 2d4cfb8b510fd8d6932b27c6dc6a6c16d3f3a76acd4ccd07e8c426e70f540ad9 6617 xerces-c_3.1.1-5.debian.tar.gz
 f87a2be4f4972b941b5d40649e9690c19eeea4019088c0a0752df0ad88b17c8c 1288282 libxerces-c-doc_3.1.1-5_all.deb
 bd45c759c97aafccca2d125941c96c237674f17b2b4d88ec309b838cc35820a8 816970 libxerces-c3.1_3.1.1-5_amd64.deb
 33411a05ffea45f99c0c4c026079ab65d383cf932859b9512a7d6f9a7b4718d0 1622402 libxerces-c-dev_3.1.1-5_amd64.deb
 c638265405692b96aaf12a362ec9abb53b753be87615e683e55bee8a556c227f 126022 libxerces-c-samples_3.1.1-5_amd64.deb
Files: 
 fd53b3221406ea3a11df4e23fd73c7cf 1912 libs optional xerces-c_3.1.1-5.dsc
 cf3b490869c0b907928135239d2510df 6617 libs optional xerces-c_3.1.1-5.debian.tar.gz
 9b238d7d597d1fca43d947d37c372e03 1288282 doc optional libxerces-c-doc_3.1.1-5_all.deb
 2419eb53f069425d2060d4a34e4938a3 816970 libs optional libxerces-c3.1_3.1.1-5_amd64.deb
 3a619d3f01b6c23266da006018e45381 1622402 libdevel optional libxerces-c-dev_3.1.1-5_amd64.deb
 1d421bfcb7e745660262089a2ed1394b 126022 devel optional libxerces-c-samples_3.1.1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBAgAGBQJSzbtKAAoJEIp10QmYASx+4XMP/jLb/Ov+O2ck0VAIGXLwIUeW
Dp0cZRlB4D9Xxyy7h6FYk4uSmp3VdRermtlrzmZFwuXSMhTKQgXX9iAMLmkkMB/8
coZOBZZ6w+TmU4q5vSMUfhcJQ41rfxN/o58J/nBoDZ5jitAFSmKM9D6EPhqHrUvD
xV0BW/bWzdJI2IY38nX2Th9PRmHX+HXX8iUC5OrhAWGY+SkM4PVAclstBim5D8Xg
/WIgvcTbVRWKUZ4mO2MWgSJLKkML+S3Wi4ZBK4yrXCtXdhUH7cAKNNjnP9mBuUsS
sIkGnRBa64Rtg2u2525SAlNoq9pcC6eTFpXLGNhwbcxa5uKsT37fJQ20bwB5CJKS
YUSEpLhBQrFaorZk1cjczkGKOutaQUVL7aq8QkD+ZBeh18fkqiPW3AODZ+ihz/ND
Kqj6PdOHFhhbRzu9NqWiSAWgf81Bkt6fzvCHdpPQA2NvfbGAWJ7Ro5Jj/XkGhDPM
j6HINztZKEUA7UVTX08hi7unOdIvoBk19CHkbDklE4cYvHcE/n8vQnXaldWQdA7K
HRCDfGgZgkAf+wNuRorlcNs0ulzEER5oCCx2mdx+SbKKWIZn+kmjzrk2ZlUX27uU
2K0dPXjRr62Ahk+a1rM7AK2Ibk7ss0m4r5+es1X9RNblHdOdkr18nZzb9XVdFFdj
5AGRL/FWk88v/1bU2b9b
=ItnN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Feb 2014 07:30:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:44:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.